<?php
ob_start();
session_start();
require "connect.php";

if(isset($_POST['adicionar'])) {
//Recebendo parametros do Form
  $ds_convenio 	= trim($_POST['ds_convenio']);
  $st_ativo 	= 1;
  
//Elaborando query para insert 
  $sql = "insert into convenios (ds_convenio,st_ativo) values ('$ds_convenio',$st_ativo)";

//Preparando statement
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);

//Executando o insert  
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

//Voltando para lista
  header("Location:convenios_list.php");

}

if(isset($_POST['editar'])) {
  $id 			= trim($_POST['id']);
  $ds_convenio 	= trim($_POST['ds_convenio']);
  $st_ativo		= 1;

  $sql = "update convenios set ds_convenio = '$ds_convenio', st_ativo = $st_ativo";

  $sql .= " where id = $id";
  
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));

  header("Location:convenios_list.php");
}


if(isset($_POST['excluir'])) {
  $id 		= trim($_POST['id']);
  $sql = "update convenios set st_ativo = 0";
  $sql .= " where id = $id";
  $stmt = mysqli_prepare($conexao, $sql) or die(mysqli_error($conexao) . '<br />' . $sql);
  mysqli_stmt_execute($stmt) or die(mysqli_error($conexao));
  header("Location:convenios_list.php");
}




?>